import { useEffect } from "react";
import { connect } from "react-redux";
import { GoodCardCharacteristic } from "../components";
import { actionGoodById } from "../action";

const PageGood = ({match, match: {params: {_id}}, getData}) => { console.log('matchGood', match)
  useEffect( () =>{
    getData(_id)
  }, [_id])

  return (
    <GoodCardCharacteristic/>
  )
}

const CreatePageGood = connect(null, {getData: actionGoodById} )(PageGood);

export default CreatePageGood;